/****************************************************************************

         #####   #####  #     #       #  #####   #####    ###
        #     # #     # ##    #      #  #     # #     #    #
        #       #       # #   #     #   #       #          #
        #       #       #  #  #    #    #        #####     #
        #       #       #   # #   #     #             #    #
        #     # #     # #    ##  #      #     # #     #    #
         #####   #####  #     # #        #####   #####    ###

****************************************************************************/
/*
* @PROJECT  CCN/CSI
* @SYSTEM   APACHE
* @PACKAGE  CDA HANDLER
*
* @FILE     apachecda_prmes.h

* @ABSTRACT
* Apache cda handler PRivate MESsages definitions.
*
* This file contains:
* The TRACE and ERRORS messages definitions.
*
* @INCLUDE
*


#ifndef _APACHE_CDA_PRMES_H
#define _APACHE_CDA_PRMES_H

#include "evr_upmac.h"

#define ERROR_XML_FORMAT "<ccncsi:ERROR "                                 \
                         "xmlns:ccncsi=\"http://www.ccncsi.net/schema\" " \
                         "id=\"%ld\">\n"                                  \
                         "\tDescription=\"%s\"\n"                         \
                         "</ccncsi:ERROR>\n"

#define APACHE_CDA_ERROR_TICKET_NO_USER        3L

CSICHAR *APACHE_CDA_ERROR_MSGS[] = 
{
/* 01 */ "No cookie defined !"
/* 02 */,"No ticket defined !"
/* 03 */,"No user in ticket !"
};

#endif /* _APACHE_CDA_PRMES_H */
