/****************************************************************************

         #####   #####  #     #       #  #####   #####    ###
        #     # #     # ##    #      #  #     # #     #    #
        #       #       # #   #     #   #       #          #
        #       #       #  #  #    #    #        #####     #
        #       #       #   # #   #     #             #    #
        #     # #     # #    ##  #      #     # #     #    #
         #####   #####  #     # #        #####   #####    ###

****************************************************************************/
/*
* @PROJECT  CCN/CSI
* @SYSTEM   APACHE
* @PACKAGE  CDA
*
* @FILE     apachecda_upcon.h

*
* @ABSTRACT
* Apache cda Handler module User & Provider CONstants definitions
*
* @INCLUDE
*

#ifndef _APACHE_CDA_UPCON_H_
#define _APACHE_CDA_UPCON_H_

#define APACHE_CDA_URI         "/cda_man"
#define APACHE_CDA_PORT        8080
#define APACHE_CDA_ACTION      "cdaAction"
#define APACHE_CDA_FLUSH       "flush"
#define APACHE_CDA_STATUS      "status"
#define APACHE_CDA_UNCACHE     "uncache"
#define APACHE_CDA_DN          "dn"

#define XML_CDA_TAG            "ccncsi:CDA_MAN"
#define XML_ERROR_TAG          "ccncsi:ERROR"

#endif /* _APACHE_CDA_UPCON_H_ */

