/****************************************************************************

         #####   #####  #     #       #  #####   #####    ###
        #     # #     # ##    #      #  #     # #     #    #
        #       #       # #   #     #   #       #          #
        #       #       #  #  #    #    #        #####     #
        #       #       #   # #   #     #             #    #
        #     # #     # #    ##  #      #     # #     #    #
         #####   #####  #     # #        #####   #####    ###

****************************************************************************/
/*
* @PROJECT  CCN/CSI
* @SYSTEM   APACHE
* @PACKAGE  MONitoring ManaGeMenT (MONMGMT)
*
* @FILE     monitor_prext.h
*
* @ABSTRACT
* Apache MONMGMT module PRivate EXTernal definitions
*
* This file contains:
* The external functions definitions
*
* @INCLUDE

#ifndef _MON_PREXT_H_
#define _MON_PREXT_H_

CSIVOID AddAlertTask(CSILONG iTask
                    ,CSILONG iAlert
                    ,CSICHAR *szDate
                    ,CSICHAR *szTime
                    );           
CSIVOID AddTaskAlertLine(CSILONG iTask
                        ,CSILONG iAlert
                        ,CSICHAR *szObject
                        ,CSICHAR *szMessage
                        );              

CSILONG Task_StringToInt(CSICHAR *szTask);
CSICHAR *Task_IntToString(CSILONG iTask);
CSILONG Alert_StringToInt(CSICHAR *szAlert);
CSICHAR *Alert_IntToString(CSILONG iAlert);
CSIVOID PrintXML(CSICHAR *, CSICHAR *, CSICHAR *, CSICHAR *);

#endif /* _MON_PREXT_H_ */
