/****************************************************************************

         #####   #####  #     #       #  #####   #####    ###
        #     # #     # ##    #      #  #     # #     #    #
        #       #       # #   #     #   #       #          #
        #       #       #  #  #    #    #        #####     #
        #       #       #   # #   #     #             #    #
        #     # #     # #    ##  #      #     # #     #    #
         #####   #####  #     # #        #####   #####    ###

****************************************************************************/
/*
* @PROJECT  CCN/CSI
* @SYSTEM   APACHE
* @PACKAGE  MONitoring ManaGeMenT (MONMGMT)
*
* @FILE     monitor_prtyp.h
*
* @ABSTRACT
* Apache MONMGMT module PRivate TYPe definitions
*
* @INCLUDE


#ifndef _MON_PRTYP_H_
#define _MON_PRTYP_H_

typedef struct tagAlertLine {
    CSILONG iAlert;
    CSICHAR48 szObject;
    CSICHAR *szMessage;
    struct tagAlertLine *psNextLine;
} ALERTLINE;

typedef struct tagAlertTask {
    CSILONG iTask;
    CSILONG iAlert;
    CSICHAR szDate[11];
    CSICHAR szTime[9];
    struct tagAlertTask *psNextTask;
    ALERTLINE *psLines;
} ALERTTASK;

#endif /* _MON_PRTYP_H_ */
