/****************************************************************************

         #####   #####  #     #       #  #####   #####    ###
        #     # #     # ##    #      #  #     # #     #    #
        #       #       # #   #     #   #       #          #
        #       #       #  #  #    #    #        #####     #
        #       #       #   # #   #     #             #    #
        #     # #     # #    ##  #      #     # #     #    #
         #####   #####  #     # #        #####   #####    ###

****************************************************************************/
/*
* @PROJECT  CCN/CSI
* @SYSTEM   APACHE
* @PACKAGE  RAPMGMT
*
* @FILE     rapmgmt_upext.h
* @ABSTRACT
* Apache Rap ManaGeMent module User & Provider EXTernal definitions
*
* This file contains:
* The external functions and Apache handlers definitions
*
* @INCLUDE
*/


#ifndef _RAPMGMT_UPEXT_H_
#define _RAPMGMT_UPEXT_H_

CSIVOID BuildRapList(CSIVOID);
CSIVOID CheckRap(CSIVOID);
CSIVOID StartStopRap(CSIVOID);
CSIVOID RapListPrint(CSIVOID);
CSIVOID FreeRapList(CSIVOID);

#endif /* _RAPMGMT_UPEXT_H_ */
