/****************************************************************************

         #####   #####  #     #       #  #####   #####    ###
        #     # #     # ##    #      #  #     # #     #    #
        #       #       # #   #     #   #       #          #
        #       #       #  #  #    #    #        #####     #
        #       #       #   # #   #     #             #    #
        #     # #     # #    ##  #      #     # #     #    #
         #####   #####  #     # #        #####   #####    ###

****************************************************************************/
/*
* @PROJECT  CCN/CSI
* @SYSTEM   APACHE
* @PACKAGE  GEN_PROXY
*
* @FILE     gen_proxy_prtyp.h
*
* @ABSTRACT
* Apache Ticket module PRivate TYPe definitions
*
* This file contains:
* The internal structures used by the ccn_gen_proxyremote module.
*
* @INCLUDE

#ifndef _GEN_PROXY_PRTYP_H_
#define _GEN_PROXY_PRTYP_H_

#include "regex.h"
#include "gcn_upcon.h"
#include "gcn_uptyp.h"

typedef struct tagPROXYHEADER
{
    CSICHAR48 szWebHostPart1;
    CSICHAR48 szWebSite;
    CSICHAR48 szWebDomain;
    CSICHAR48 szProxyRemote;
    CSIBOOLEAN isHttps;
} PROXYHEADER;

typedef struct tagPROXYREMOTE
{
    CSICHAR *szPattern;
    CSILONG (*szFnct)(char*, int, regmatch_t*,PROXYHEADER*);
} PROXYREMOTE;

#endif
